org.apache.sysds.lops

## Enum MMTSJ.MMTSJType

- java.lang.Object
- - java.lang.Enum<MMTSJ.MMTSJType>
  - - org.apache.sysds.lops.MMTSJ.MMTSJType

All Implemented Interfaces:
  Serializable, Comparable<MMTSJ.MMTSJType>

Enclosing class:
  MMTSJ

    public static enum MMTSJ.MMTSJType
    extends Enum<MMTSJ.MMTSJType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LEFT`
`NONE`
`RIGHT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isLeft()`
`boolean` `isRight()`
`static MMTSJ.MMTSJType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MMTSJ.MMTSJType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final MMTSJ.MMTSJType NONE

#### LEFT

    public static final MMTSJ.MMTSJType LEFT

#### RIGHT

    public static final MMTSJ.MMTSJType RIGHT

### Method Detail

#### values

    public static MMTSJ.MMTSJType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MMTSJ.MMTSJType c : MMTSJ.MMTSJType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MMTSJ.MMTSJType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isLeft

    public boolean isLeft()

#### isRight

    public boolean isRight()